List Realm Members
List members of a realm with optional pagination, search, and sorting.
GET
/
api
/
v1
/
realms
/
{realmId}
/
members
/
List Realm Members
curl --request GET \
--url https://api.drip.re/api/v1/realms/{realmId}/members/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.drip.re/api/v1/realms/{realmId}/members/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.drip.re/api/v1/realms/{realmId}/members/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"joinedAt": "2023-11-07T05:31:56Z",
"realmMemberId": "<string>",
"dynamicId": "<string>",
"username": "<string>",
"displayName": "<string>",
"imageUrl": "<string>",
"email": "<string>",
"about": "<string>",
"alias": "<string>",
"firstVisit": "2023-11-07T05:31:56Z",
"lastVisit": "2023-11-07T05:31:56Z",
"lastActive": "2023-11-07T05:31:56Z",
"hasRealmActivity": true,
"referralId": "<string>",
"credentials": [
{
"format": "<string>",
"publicIdentifier": "<string>",
"oauthProvider": "<string>",
"oauthAccountId": "<string>",
"oauthAccountPhotos": [
"<string>"
],
"oauthUsername": "<string>",
"walletName": "<string>",
"chain": "<string>"
}
],
"balances": [
{
"balance": 123,
"currencyId": "<string>",
"currencyName": "<string>",
"currencyEmoji": "<string>"
}
],
"teamMembership": {
"id": "<string>",
"role": "<string>",
"scopes": [
"<string>"
]
},
"notes": "<unknown>",
"metadata": "<unknown>"
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"error": "<string>"
}{
"error": "Forbidden",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
API Key
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Query Parameters
Page number (1-based)
Number of items per page
Search term for username, displayName, or email
Field to sort by
Available options:
username, displayName, firstVisit, lastVisit, updatedAt, lastActive, createdAt, joinedAt, name, user, status Sort order
Available options:
asc, desc Was this page helpful?
Previous
Search Realm MemberSearch for a DRIP user in a realm by their drip id, twitter id, discord id, wallet address, email, or username
Next
⌘I
List Realm Members

